Board index » delphi » InstallShield with BDE 4.51

InstallShield with BDE 4.51

I just discovered that D3's InstallShield will not install BDE version 4.51.
Is anyone else as annoyed by this as me? I'm not complaining about the
incompatibility per se, but did it occur to anyone at Borland to tell
anybody about it, so we would know about it before looking like a fool in
front of a customer?

John

 

Re:InstallShield with BDE 4.51


When I use it, it seems to install the lastest version of the BDE.

bill florac

Quote
John Provine wrote in message <6i3fbu$9...@forums.borland.com>...
>I just discovered that D3's InstallShield will not install BDE version
4.51.
>Is anyone else as annoyed by this as me? I'm not complaining about the
>incompatibility per se, but did it occur to anyone at Borland to tell
>anybody about it, so we would know about it before looking like a fool in
>front of a customer?

>John

Re:InstallShield with BDE 4.51


InstallShield Express installs BDE 4.51.  It just does not install any of
the new files, such as the Access 97 driver dll, automatically unless you
add them to the installation.  Since D3 shipped long before BDE 4.51 there
is no way that it could know about the changes.

--
Bill

(TeamB cannot answer questions received via email.)
(To contact me for any other reason remove nospam from my address)

Re:InstallShield with BDE 4.51


Quote
>I just discovered that D3's InstallShield will not install BDE version 4.51.
>Is anyone else as annoyed by this as me? I'm not complaining about the
>incompatibility per se, but did it occur to anyone at Borland to tell
>anybody about it, so we would know about it before looking like a fool in
>front of a customer?

BDE has  new .dll for use with DAO 3.5 and there are some new
paramaters in the access driver.  Other than these new features
InstallShield will install BDE 4.51 with out any modifications.

--
Brian Bushay (TeamB)
Bbus...@DataGuidance.com

Re:InstallShield with BDE 4.51


If possible, is it defined somewhere on how to modify the InstallShield
installation to incorporate these DLL's and proper setting of the proper
parameters?

Brian Bushay TeamB <BBus...@DataGuidance.com> wrote in article
<35499c2a.3704...@forums.borland.com>...

Quote

> >I just discovered that D3's InstallShield will not install BDE version
4.51.
> >Is anyone else as annoyed by this as me? I'm not complaining about the
> >incompatibility per se, but did it occur to anyone at Borland to tell
> >anybody about it, so we would know about it before looking like a fool
in
> >front of a customer?

> BDE has  new .dll for use with DAO 3.5 and there are some new
> paramaters in the access driver.  Other than these new features
> InstallShield will install BDE 4.51 with out any modifications.

> --
> Brian Bushay (TeamB)
> Bbus...@DataGuidance.com

Re:InstallShield with BDE 4.51


The solution that works for me was to modify the swdepend.ini file in
the installshield directory to include the new Access 97 driver.  Just
open the file in notepad and search for the old Access 95 driver
(IDDAO3032.DLL I think).  Everywhere you find an entry for that
driver, add a new line for the Access 97 driver (IDDA3532.DLL I
think).  Installshield should now pick up and install the new driver
but you may still have to do a little tweaking at the end-user's
workstation.  In my case, it didn't correctly setup the alias and it
still specified the old driver as the default MSACCESS driver.  I just
had to fire up the BDE Admin and make those two changes and everything
worked fine.

On 29 Apr 1998 08:48:38 GMT, "BP" <mre...@ici.net> wrote:

Quote
>If possible, is it defined somewhere on how to modify the InstallShield
>installation to incorporate these DLL's and proper setting of the proper
>parameters?

>Brian Bushay TeamB <BBus...@DataGuidance.com> wrote in article
><35499c2a.3704...@forums.borland.com>...

>> >I just discovered that D3's InstallShield will not install BDE version
>4.51.
>> >Is anyone else as annoyed by this as me? I'm not complaining about the
>> >incompatibility per se, but did it occur to anyone at Borland to tell
>> >anybody about it, so we would know about it before looking like a fool
>in
>> >front of a customer?

>> BDE has  new .dll for use with DAO 3.5 and there are some new
>> paramaters in the access driver.  Other than these new features
>> InstallShield will install BDE 4.51 with out any modifications.

>> --
>> Brian Bushay (TeamB)
>> Bbus...@DataGuidance.com

================================================
Ray Porter
Applications Analyst Programmer
Administrative Information Services, UNC-CH
Phone: 966-5878
email: l...@email.adp.unc.edu
         dra...@email.unc.edu
Home Page: http://www.adp.unc.edu/~allrp/

"Meddle not in the affairs of dragons,
for you are crunchy and taste good with ketchup."

Re:InstallShield with BDE 4.51


Quote
>If possible, is it defined somewhere on how to modify the InstallShield
>installation to incorporate these DLL's and proper setting of the proper
>parameters?

You have one new .dll to deal with IDDA3532.DLL
You can use Installshield to install this .dll to the BDE directory.

InstallShiled uses a template file for establishing default settings.
In the normal install this is IDAPI32.cnf in the
Installshield\redistributable directory.
To get the new paramaters into a BDE install you need to modify this
file.  It is just a standard BDE config file with a different
extention.  You can open it with BDEAdmin utility if you specify its
file name and extention.

Set the new Access properties the way you want them..

--
Brian Bushay (TeamB)
Bbus...@DataGuidance.com

Other Threads